Index: Makefile
===================================================================
--- Makefile	(revision 5b5a56bde305e59be1844b3cc8b69b80605f4e66)
+++ Makefile	(revision 35cdc461e095e63247ab9dded070d76bc2c888e2)
@@ -767,4 +767,11 @@
 	external/ExRootAnalysis/ExRootUtilities.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootUtilities.h
+tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf): \
+	external/fastjet/LazyTiling9SeparateGhosts.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling9SeparateGhosts.hh \
+	external/fastjet/internal/TilingExtent.hh
+tmp/external/fastjet/TilingExtent.$(ObjSuf): \
+	external/fastjet/TilingExtent.$(SrcSuf) \
+	external/fastjet/internal/TilingExtent.hh
 tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
 	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
@@ -780,4 +787,8 @@
 	external/fastjet/ClusterSequenceActiveArea.hh \
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
+tmp/external/fastjet/LazyTiling9.$(ObjSuf): \
+	external/fastjet/LazyTiling9.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling9.hh \
+	external/fastjet/internal/TilingExtent.hh
 tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
 	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
@@ -792,4 +803,8 @@
 	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
 	external/fastjet/ClusterSequenceArea.hh
+tmp/external/fastjet/LazyTiling25.$(ObjSuf): \
+	external/fastjet/LazyTiling25.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling25.hh \
+	external/fastjet/internal/TilingExtent.hh
 tmp/external/fastjet/Voronoi.$(ObjSuf): \
 	external/fastjet/Voronoi.$(SrcSuf) \
@@ -803,5 +818,6 @@
 	external/fastjet/PseudoJet.hh \
 	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/MinHeap.hh
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/internal/TilingExtent.hh
 tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
@@ -815,4 +831,7 @@
 	external/fastjet/DnnPlane.$(SrcSuf) \
 	external/fastjet/internal/DnnPlane.hh
+tmp/external/fastjet/RectangularGrid.$(ObjSuf): \
+	external/fastjet/RectangularGrid.$(SrcSuf) \
+	external/fastjet/RectangularGrid.hh
 tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
 	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
@@ -823,4 +842,8 @@
 	external/fastjet/ClusterSequencePassiveArea.hh \
 	external/fastjet/ClusterSequenceVoronoiArea.hh
+tmp/external/fastjet/LazyTiling9Alt.$(ObjSuf): \
+	external/fastjet/LazyTiling9Alt.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling9Alt.hh \
+	external/fastjet/internal/TilingExtent.hh
 tmp/external/fastjet/BasicRandom.$(ObjSuf): \
 	external/fastjet/BasicRandom.$(SrcSuf) \
@@ -842,5 +865,9 @@
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/ClusterSequenceStructure.hh \
-	external/fastjet/version.hh
+	external/fastjet/version.hh \
+	external/fastjet/internal/LazyTiling9Alt.hh \
+	external/fastjet/internal/LazyTiling9.hh \
+	external/fastjet/internal/LazyTiling25.hh \
+	external/fastjet/internal/LazyTiling9SeparateGhosts.hh
 tmp/external/fastjet/JetDefinition.$(ObjSuf): \
 	external/fastjet/JetDefinition.$(SrcSuf) \
@@ -914,4 +941,8 @@
 	external/fastjet/tools/JetMedianBackgroundEstimator.$(SrcSuf) \
 	external/fastjet/tools/JetMedianBackgroundEstimator.hh
+tmp/external/fastjet/tools/Recluster.$(ObjSuf): \
+	external/fastjet/tools/Recluster.$(SrcSuf) \
+	external/fastjet/tools/Recluster.hh \
+	external/fastjet/CompositeJetStructure.hh
 tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf): \
 	external/fastjet/tools/MassDropTagger.$(SrcSuf)
@@ -923,5 +954,6 @@
 tmp/external/fastjet/tools/Filter.$(ObjSuf): \
 	external/fastjet/tools/Filter.$(SrcSuf) \
-	external/fastjet/tools/Filter.hh
+	external/fastjet/tools/Filter.hh \
+	external/fastjet/tools/Recluster.hh
 tmp/external/fastjet/tools/Pruner.$(ObjSuf): \
 	external/fastjet/tools/Pruner.$(SrcSuf) \
@@ -1004,4 +1036,6 @@
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/NNH.hh
+tmp/external/fastjet/contribs/SoftKiller/SoftKiller.$(ObjSuf): \
+	external/fastjet/contribs/SoftKiller/SoftKiller.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(SrcSuf)
@@ -1010,4 +1044,6 @@
 tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.$(SrcSuf)
@@ -1120,9 +1156,13 @@
 	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf) \
+	tmp/external/fastjet/TilingExtent.$(ObjSuf) \
 	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
 	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling25.$(ObjSuf) \
 	tmp/external/fastjet/Voronoi.$(ObjSuf) \
 	tmp/external/fastjet/Selector.$(ObjSuf) \
@@ -1132,6 +1172,8 @@
 	tmp/external/fastjet/CompositeJetStructure.$(ObjSuf) \
 	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
+	tmp/external/fastjet/RectangularGrid.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/external/fastjet/LazyTiling9Alt.$(ObjSuf) \
 	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf) \
@@ -1159,4 +1201,5 @@
 	tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf) \
+	tmp/external/fastjet/tools/Recluster.$(ObjSuf) \
 	tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf) \
@@ -1193,7 +1236,9 @@
 	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
+	tmp/external/fastjet/contribs/SoftKiller/SoftKiller.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/AxesFinder.$(ObjSuf) \
@@ -1371,5 +1416,6 @@
 external/fastjet/JetDefinition.hh: \
 	external/fastjet/internal/numconsts.hh \
-	external/fastjet/PseudoJet.hh
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh
 	@touch $@
 
@@ -1417,4 +1463,11 @@
 	@touch $@
 
+external/fastjet/internal/LazyTiling25.hh: \
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/LazyTiling9Alt.hh \
+	external/fastjet/internal/LazyTiling9.hh
+	@touch $@
+
 external/fastjet/Error.hh: \
 	external/fastjet/internal/base.hh
@@ -1422,5 +1475,10 @@
 
 external/fastjet/contribs/Nsubjettiness/Njettiness.hh: \
-	external/fastjet/PseudoJet.hh
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/SharedPtr.hh
+	@touch $@
+
+external/fastjet/internal/TilingExtent.hh: \
+	external/fastjet/ClusterSequence.hh
 	@touch $@
 
@@ -1434,5 +1492,6 @@
 
 external/fastjet/tools/GridMedianBackgroundEstimator.hh: \
-	external/fastjet/tools/BackgroundEstimatorBase.hh
+	external/fastjet/tools/BackgroundEstimatorBase.hh \
+	external/fastjet/RectangularGrid.hh
 	@touch $@
 
@@ -1457,4 +1516,14 @@
 	@touch $@
 
+external/fastjet/internal/LazyTiling9Alt.hh: \
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/ClusterSequence.hh
+	@touch $@
+
+external/fastjet/RectangularGrid.hh: \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/Selector.hh
+	@touch $@
+
 modules/PileUpMerger.h: \
 	classes/DelphesModule.h
@@ -1462,5 +1531,6 @@
 
 external/fastjet/internal/DynamicNearestNeighbours.hh: \
-	external/fastjet/internal/numconsts.hh
+	external/fastjet/internal/numconsts.hh \
+	external/fastjet/Error.hh
 	@touch $@
 
@@ -1488,4 +1558,10 @@
 	@touch $@
 
+external/fastjet/internal/LazyTiling9.hh: \
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/LazyTiling9Alt.hh
+	@touch $@
+
 modules/PileUpJetID.h: \
 	classes/DelphesModule.h
@@ -1610,4 +1686,10 @@
 	external/fastjet/tools/Transformer.hh \
 	external/fastjet/tools/BackgroundEstimatorBase.hh
+	@touch $@
+
+external/fastjet/internal/LazyTiling9SeparateGhosts.hh: \
+	external/fastjet/internal/MinHeap.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/LazyTiling9Alt.hh
 	@touch $@
 
